org.bdgenomics.adam.sql

# NucleotideContigFragment

###
Related Docs: object NucleotideContigFragment | package sql

#### case class NucleotideContigFragment(contigName: Option[String] = None, contigLength: Option[Long] = None, description: Option[String] = None, sequence: Option[String] = None, index: Option[Int] = None, start: Option[Long] = None, end: Option[Long] = None, length: Option[Long] = None, fragments: Option[Int] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NucleotideContigFragment
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new NucleotideContigFragment(contigName: Option[String] = None, contigLength: Option[Long] = None, description: Option[String] = None, sequence: Option[String] = None, index: Option[Int] = None, start: Option[Long] = None, end: Option[Long] = None, length: Option[Long] = None, fragments: Option[Int] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def canEqual(that: Any): Boolean

   Definition Classes
     NucleotideContigFragment → Equals

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val contigLength: Option[Long]

8. #### val contigName: Option[String]

9. #### val description: Option[String]

10. #### val end: Option[Long]

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### val fragments: Option[Int]

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### val index: Option[Int]

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### val length: Option[Long]

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def productArity: Int

    Definition Classes
      NucleotideContigFragment → Product

22. #### def productElement(i: Int): Any

    Definition Classes
      NucleotideContigFragment → Product

23. #### val sequence: Option[String]

24. #### val start: Option[Long]

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toAvro: formats.avro.NucleotideContigFragment

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped